head	1.31;
access;
symbols
	REL9_0_0:1.31
	REL9_1_ALPHA1:1.31
	REL9_0_RC1:1.31
	REL9_0_BETA4:1.31
	REL9_0_STABLE:1.31.0.14
	REL9_0_BETA3:1.31
	REL9_0_BETA2:1.31
	REL7_4_29:1.22
	REL8_0_25:1.24
	REL8_1_21:1.27
	REL8_2_17:1.29
	REL8_3_11:1.30
	REL8_4_4:1.31
	REL9_0_BETA1:1.31
	REL9_0_ALPHA5_BRANCH:1.31.0.12
	REL9_0_ALPHA5:1.31
	REL7_4_28:1.22
	REL8_0_24:1.24
	REL8_1_20:1.27
	REL8_2_16:1.29
	REL8_3_10:1.30
	REL8_4_3:1.31
	REL9_0_ALPHA4:1.31
	REL9_0_ALPHA4_BRANCH:1.31.0.10
	REL8_5_ALPHA3:1.31
	REL8_5_ALPHA3_BRANCH:1.31.0.8
	REL7_4_27:1.22
	REL8_0_23:1.24
	REL8_1_19:1.27
	REL8_2_15:1.29
	REL8_3_9:1.30
	REL8_4_2:1.31
	REL8_5_ALPHA2:1.31
	REL8_5_ALPHA2_BRANCH:1.31.0.6
	REL7_4_26:1.22
	REL8_0_22:1.24
	REL8_1_18:1.27
	REL8_2_14:1.29
	REL8_3_8:1.30
	REL8_4_1:1.31
	REL8_5_ALPHA1:1.31
	REL8_5_ALPHA1_BRANCH:1.31.0.4
	REL8_4_STABLE:1.31.0.2
	REL8_4_0:1.31
	REL8_4_RC2:1.31
	REL8_4_RC1:1.31
	REL8_4_BETA2:1.31
	REL8_4_BETA1:1.30
	REL7_4_25:1.22
	REL8_0_21:1.24
	REL8_1_17:1.27
	REL8_2_13:1.29
	REL8_3_7:1.30
	REL7_4_24:1.22
	REL8_0_20:1.24
	REL8_1_16:1.27
	REL8_2_12:1.29
	REL8_3_6:1.30
	REL7_4_23:1.22
	REL8_0_19:1.24
	REL8_1_15:1.27
	REL8_2_11:1.29
	REL8_3_5:1.30
	REL7_4_22:1.22
	REL8_0_18:1.24
	REL8_1_14:1.27
	REL8_2_10:1.29
	REL8_3_4:1.30
	REL7_4_21:1.22
	REL8_0_17:1.24
	REL8_1_13:1.27
	REL8_2_9:1.29
	REL8_3_3:1.30
	REL7_4_20:1.22
	REL8_0_16:1.24
	REL8_1_12:1.27
	REL8_2_8:1.29
	REL8_3_2:1.30
	REL8_2_7:1.29
	REL8_3_1:1.30
	REL8_3_STABLE:1.30.0.2
	REL8_3_0:1.30
	REL8_3_RC2:1.30
	REL7_3_21:1.19
	REL7_4_19:1.22
	REL8_0_15:1.24
	REL8_1_11:1.27
	REL8_2_6:1.29
	REL8_3_RC1:1.30
	REL8_3_BETA4:1.30
	REL8_3_BETA3:1.30
	REL8_3_BETA2:1.29
	REL8_3_BETA1:1.29
	REL7_3_20:1.19
	REL7_4_18:1.22
	REL8_0_14:1.24
	REL8_1_10:1.27
	REL8_2_5:1.29
	REL7_3_19:1.19
	REL7_4_17:1.22
	REL8_0_13:1.24
	REL8_1_9:1.27
	REL8_2_4:1.29
	REL8_0_12:1.24
	REL8_1_8:1.27
	REL8_2_3:1.29
	REL7_3_18:1.19
	REL7_4_16:1.22
	REL8_0_11:1.24
	REL8_1_7:1.27
	REL8_2_2:1.29
	REL8_0_10:1.24
	REL8_1_6:1.27
	REL8_2_1:1.29
	REL7_4_15:1.22
	REL7_3_17:1.19
	REL8_2_STABLE:1.29.0.2
	REL8_2_0:1.29
	REL8_2_RC1:1.29
	REL8_2_BETA3:1.29
	REL8_2_BETA2:1.29
	REL8_1_5:1.27
	REL8_0_9:1.24
	REL7_4_14:1.22
	REL7_3_16:1.19
	REL8_2_BETA1:1.28
	REL7_3_15:1.19
	REL7_4_13:1.22
	REL8_0_8:1.24
	REL8_1_4:1.27
	REL7_3_14:1.19
	REL7_4_12:1.22
	REL8_0_7:1.24
	REL8_1_3:1.27
	REL7_3_13:1.19
	REL7_4_11:1.22
	REL8_0_6:1.24
	REL8_1_2:1.27
	REL7_3_12:1.19
	REL7_4_10:1.22
	REL8_0_5:1.24
	REL8_1_1:1.27
	REL8_1_STABLE:1.27.0.2
	REL8_1_0:1.27
	REL8_1_0RC1:1.27
	REL8_1_0BETA4:1.27
	REL8_1_0BETA3:1.27
	REL7_3_11:1.19
	REL7_4_9:1.22
	REL8_0_4:1.24
	REL8_1_0BETA2:1.27
	REL8_1_0BETA1:1.27
	REL7_2_8:1.19
	REL7_3_10:1.19
	REL7_4_8:1.22
	REL8_0_3:1.24
	REL8_0_2:1.24
	REL7_2_7:1.19
	REL7_3_9:1.19
	REL7_4_7:1.22
	REL8_0_1:1.24
	REL8_0_STABLE:1.24.0.4
	REL8_0_0:1.24.0.2
	REL8_0_0RC5:1.24
	REL8_0_0RC4:1.23
	REL8_0_0RC3:1.23
	REL8_0_0RC2:1.23
	REL8_0_0RC1:1.23
	REL8_0_0BETA5:1.23
	REL8_0_0BETA4:1.23
	REL7_4_6:1.22
	REL7_3_8:1.19
	REL7_2_6:1.19
	REL8_0_0BETA3:1.23
	REL8_0_0BETA2:1.23
	REL7_2_5:1.19
	REL7_4_5:1.22
	REL7_3_7:1.19
	REL7_4_4:1.22
	REL8_0_0BETA1:1.23
	REL7_4_3:1.22
	REL7_4_2:1.22
	REL7_3_6:1.19
	REL7_4_1:1.22
	REL7_3_5:1.19
	REL7_4:1.22
	REL7_4_RC2:1.22
	REL7_4_STABLE:1.22.0.2
	REL7_4_RC1:1.22
	REL7_4_BETA5:1.22
	REL7_4_BETA4:1.22
	REL7_4_BETA3:1.22
	REL7_4_BETA2:1.20
	WIN32_DEV:1.20.0.2
	REL7_4_BETA1:1.20
	REL7_3_4:1.19
	REL7_3_2:1.19
	REL7_2_4:1.19
	REL7_3_STABLE:1.19.0.4
	REL7_2_3:1.19
	REL7_2_STABLE:1.19.0.2
	REL7_2:1.19
	REL7_2_RC2:1.19
	REL7_2_RC1:1.19
	REL7_2_BETA5:1.19
	REL7_2_BETA4:1.18
	REL7_2_BETA3:1.16
	REL7_2_BETA2:1.15
	REL7_2_BETA1:1.15
	REL7_1_2:1.13
	REL7_1_STABLE:1.13.0.2
	REL7_1_BETA:1.10
	REL7_1_BETA3:1.12
	REL7_1_BETA2:1.12
	REL7_1:1.13
	REL7_0_PATCHES:1.8.0.2
	REL7_0:1.8
	REL6_5_PATCHES:1.4.0.2
	REL6_5:1.4
	REL6_4:1.1.0.2;
locks; strict;
comment	@# @;


1.31
date	2009.04.27.16.27.35;	author momjian;	state Exp;
branches;
next	1.30;

1.30
date	2007.10.30.23.06.06;	author petere;	state Exp;
branches;
next	1.29;

1.29
date	2006.10.23.18.10.31;	author petere;	state Exp;
branches;
next	1.28;

1.28
date	2006.03.10.19.10.48;	author momjian;	state Exp;
branches;
next	1.27;

1.27
date	2005.04.12.03.16.50;	author tgl;	state Exp;
branches;
next	1.26;

1.26
date	2005.04.09.03.52.43;	author momjian;	state Exp;
branches;
next	1.25;

1.25
date	2005.03.31.03.54.38;	author momjian;	state Exp;
branches;
next	1.24;

1.24
date	2005.01.08.01.44.05;	author tgl;	state Exp;
branches;
next	1.23;

1.23
date	2003.11.29.19.51.37;	author pgsql;	state Exp;
branches;
next	1.22;

1.22
date	2003.09.11.21.42.19;	author momjian;	state Exp;
branches;
next	1.21;

1.21
date	2003.09.08.23.02.28;	author petere;	state Exp;
branches;
next	1.20;

1.20
date	2003.01.19.00.13.28;	author momjian;	state Exp;
branches;
next	1.19;

1.19
date	2002.01.07.02.29.12;	author petere;	state Exp;
branches;
next	1.18;

1.18
date	2001.11.28.20.49.10;	author petere;	state Exp;
branches;
next	1.17;

1.17
date	2001.11.23.22.06.20;	author tgl;	state Exp;
branches;
next	1.16;

1.16
date	2001.11.08.23.34.33;	author petere;	state Exp;
branches;
next	1.15;

1.15
date	2001.09.13.15.55.22;	author petere;	state Exp;
branches;
next	1.14;

1.14
date	2001.09.09.17.21.59;	author petere;	state Exp;
branches;
next	1.13;

1.13
date	2001.02.03.19.03.26;	author petere;	state Exp;
branches;
next	1.12;

1.12
date	2000.12.22.21.51.57;	author petere;	state Exp;
branches;
next	1.11;

1.11
date	2000.12.21.22.55.27;	author petere;	state Exp;
branches;
next	1.10;

1.10
date	2000.09.29.20.21.34;	author petere;	state Exp;
branches;
next	1.9;

1.9
date	2000.08.29.20.02.07;	author momjian;	state Exp;
branches;
next	1.8;

1.8
date	2000.05.02.20.01.51;	author thomas;	state Exp;
branches;
next	1.7;

1.7
date	2000.03.31.03.27.40;	author thomas;	state Exp;
branches;
next	1.6;

1.6
date	2000.03.20.04.22.11;	author tgl;	state Exp;
branches;
next	1.5;

1.5
date	99.12.06.16.37.11;	author thomas;	state Exp;
branches;
next	1.4;

1.4
date	99.06.23.06.12.31;	author thomas;	state Exp;
branches;
next	1.3;

1.3
date	99.06.21.15.12.19;	author momjian;	state Exp;
branches;
next	1.2;

1.2
date	98.12.29.02.24.15;	author thomas;	state Exp;
branches;
next	1.1;

1.1
date	98.09.30.05.41.44;	author thomas;	state Exp;
branches;
next	;


desc
@@


1.31
log
@Proofreading adjustments for first two parts of documentation (Tutorial
and SQL).
@
text
@<!-- $PostgreSQL: pgsql/doc/src/sgml/history.sgml,v 1.30 2007/10/30 23:06:06 petere Exp $ -->

<sect1 id="history">
 <title>A Brief History of <productname>PostgreSQL</productname></title>

 <indexterm zone="history">
  <primary>history</primary>
  <secondary>of PostgreSQL</secondary>
 </indexterm>

 <para>
  The object-relational database management system now known as
  <productname>PostgreSQL</productname> is derived from the
  <productname>POSTGRES</productname> package written at the
  University of California at Berkeley.  With over two decades of
  development behind it, <productname>PostgreSQL</productname> is now
  the most advanced open-source database available anywhere.
 </para>

 <sect2 id="history-berkeley">
  <title>The Berkeley <productname>POSTGRES</productname> Project</title>

  <indexterm zone="history-berkeley">
   <primary>POSTGRES</primary>
  </indexterm>

  <para>
   The <productname>POSTGRES</productname> project, led by Professor
   Michael Stonebraker, was sponsored by the Defense Advanced Research
   Projects Agency (<acronym>DARPA</acronym>), the Army Research
   Office (<acronym>ARO</acronym>), the National Science Foundation
   (<acronym>NSF</acronym>), and ESL, Inc.  The implementation of
   <productname>POSTGRES</productname> began in 1986.  The initial
   concepts for the system were presented in <xref linkend="STON86">,
   and the definition of the initial data model appeared in <xref
   linkend="ROWE87">.  The design of the rule system at that time was
   described in <xref linkend="STON87a">.  The rationale and
   architecture of the storage manager were detailed in <xref
   linkend="STON87b">.
  </para>

  <para>
   <productname>POSTGRES</productname> has undergone several major
   releases since then.  The first <quote>demoware</quote> system
   became operational in 1987 and was shown at the 1988
   <acronym>ACM-SIGMOD</acronym> Conference.  Version 1, described in
   <xref linkend="STON90a">, was released to a few external users in
   June 1989.  In response to a critique of the first rule system
   (<xref linkend="STON89">), the rule system was redesigned (<xref
   linkend="STON90b">), and Version 2 was released in June 1990 with
   the new rule system.  Version 3 appeared in 1991 and added support
   for multiple storage managers, an improved query executor, and a
   rewritten rule system.  For the most part, subsequent releases
   until <productname>Postgres95</productname> (see below) focused on
   portability and reliability.
  </para>

  <para>
   <productname>POSTGRES</productname> has been used to implement many
   different research and production applications.  These include: a
   financial data analysis system, a jet engine performance monitoring
   package, an asteroid tracking database, a medical information
   database, and several geographic information systems.
   <productname>POSTGRES</productname> has also been used as an
   educational tool at several universities.  Finally, Illustra
   Information Technologies (later merged into 
   <ulink url="http://www.informix.com/"><productname>Informix</productname></ulink>,
   which is now owned by <ulink
   url="http://www.ibm.com/">IBM</ulink>) picked up the code and
   commercialized it.  In late 1992,
   <productname>POSTGRES</productname> became the primary data manager
   for the 
   <ulink url="http://meteora.ucsd.edu/s2k/s2k_home.html">
   Sequoia 2000 scientific computing project</ulink>.
  </para>

  <para>
   The size of the external user community nearly doubled during 1993.
   It became increasingly obvious that maintenance of the prototype
   code and support was taking up large amounts of time that should
   have been devoted to database research.  In an effort to reduce
   this support burden, the Berkeley
   <productname>POSTGRES</productname> project officially ended with
   Version 4.2.
  </para>
 </sect2>

 <sect2 id="history-postgres95">
  <title><productname>Postgres95</productname></title>

  <indexterm zone="history-postgres95">
   <primary>Postgres95</primary>
  </indexterm>

  <para>
   In 1994, Andrew Yu and Jolly Chen added an SQL language interpreter
   to <productname>POSTGRES</productname>.  Under a new name,
   <productname>Postgres95</productname> was subsequently released to
   the web to find its own way in the world as an open-source
   descendant of the original <productname>POSTGRES</productname>
   Berkeley code.
  </para>

  <para>
   <productname>Postgres95</productname> code was completely ANSI C
   and trimmed in size by 25%. Many internal changes improved
   performance and
   maintainability. <productname>Postgres95</productname> release
   1.0.x ran about 30-50% faster on the Wisconsin Benchmark compared
   to <productname>POSTGRES</productname>, Version 4.2.  Apart from
   bug fixes, the following were the major enhancements:

   <itemizedlist>
    <listitem>
     <para>
      The query language PostQUEL was replaced with
      <acronym>SQL</acronym> (implemented in the server).  Subqueries
      were not supported until <productname>PostgreSQL</productname>
      (see below), but they could be imitated in
      <productname>Postgres95</productname> with user-defined
      <acronym>SQL</acronym> functions. Aggregate functions were
      re-implemented.  Support for the <literal>GROUP BY</literal>
      query clause was also added.
     </para>
    </listitem>

    <listitem>
     <para>
      A new program
      (<application>psql</application>) was provided for interactive
      SQL queries, which used <acronym>GNU</acronym>
      <application>Readline</application>.  This largely superseded
      the old <application>monitor</> program.
     </para>
    </listitem>

    <listitem>
     <para>
      A new front-end library, <filename>libpgtcl</filename>,
      supported <acronym>Tcl</acronym>-based clients.  A sample shell,
      <command>pgtclsh</command>, provided new Tcl commands to
      interface <application>Tcl</application> programs with the
      <productname>Postgres95</productname> server.
     </para>
    </listitem>

    <listitem>
     <para>
      The large-object interface was overhauled. The inversion large
      objects were the only mechanism for storing large objects.  (The
      inversion file system was removed.)
     </para>
    </listitem>

    <listitem>
     <para>
      The instance-level rule system was removed.  Rules were still
      available as rewrite rules.
     </para>
    </listitem>

    <listitem>
     <para>
      A short tutorial introducing regular <acronym>SQL</acronym>
      features as well as those of
      <productname>Postgres95</productname> was distributed with the
      source code
     </para>
    </listitem>

    <listitem>
     <para>
      <acronym>GNU</acronym> make (instead of <acronym>BSD</acronym>
      make) was used for the build.  Also,
      <productname>Postgres95</productname> could be compiled with an
      unpatched <productname>GCC</productname> (data alignment of
      doubles was fixed).
     </para>
    </listitem>
   </itemizedlist>
  </para>
 </sect2>

 <sect2>
  <title><productname>PostgreSQL</productname></title>

  <para>
   By 1996, it became clear that the name <quote>Postgres95</quote>
   would not stand the test of time. We chose a new name,
   <productname>PostgreSQL</productname>, to reflect the relationship
   between the original <productname>POSTGRES</productname> and the
   more recent versions with <acronym>SQL</acronym> capability.  At
   the same time, we set the version numbering to start at 6.0,
   putting the numbers back into the sequence originally begun by the
   Berkeley <productname>POSTGRES</productname> project.
  </para>

  <para>
   Many people continue to refer to
   <productname>PostgreSQL</productname> as <quote>Postgres</quote>
   (now rarely in all capital letters) because of tradition or because
   it is easier to pronounce.  This usage is widely accepted as a
   nickname or alias.
  </para>

  <para>
   The emphasis during development of
   <productname>Postgres95</productname> was on identifying and
   understanding existing problems in the server code.  With
   <productname>PostgreSQL</productname>, the emphasis has shifted to
   augmenting features and capabilities, although work continues in
   all areas.
  </para>

  <para>
   Details about what has happened in <productname>PostgreSQL</> since
   then can be found in <xref linkend="release">.
  </para>
 </sect2>
</sect1>
@


1.30
log
@Add note on PostgreSQL vs. Postgres.
@
text
@d1 1
a1 1
<!-- $PostgreSQL: pgsql/doc/src/sgml/history.sgml,v 1.29 2006/10/23 18:10:31 petere Exp $ -->
d15 1
a15 1
  University of California at Berkeley.  With over a decade of
d96 1
a96 1
   In 1994, Andrew Yu and Jolly Chen added a SQL language interpreter
@


1.29
log
@Spellchecking and such
@
text
@d1 1
a1 1
<!-- $PostgreSQL: pgsql/doc/src/sgml/history.sgml,v 1.28 2006/03/10 19:10:48 momjian Exp $ -->
d199 8
@


1.28
log
@Make $PostgreSQL CVS tags consistent for SGML files.
@
text
@d1 1
a1 1
<!-- $PostgreSQL: pgsql/doc/src/sgml/advanced.sgml,v 1.49 2005/04/09 03:52:43 momjian Exp $ -->
d34 1
a34 1
   concepts for the system were presented in <xref linkend="STON86">
d50 1
a50 1
   linkend="STON90b">) and Version 2 was released in June 1990 with
@


1.27
log
@Fix broken markup.
@
text
@d1 1
a1 3
<!--
$PostgreSQL: pgsql/doc/src/sgml/history.sgml,v 1.26 2005/04/09 03:52:43 momjian Exp $
-->
@


1.26
log
@We don't put URL's in ulink's because the URL is always generated, but
we can put words in ulink and the URL will still be printed.

per Peter
@
text
@d2 1
a2 1
$PostgreSQL: pgsql/doc/src/sgml/history.sgml,v 1.25 2005/03/31 03:54:38 momjian Exp $
d71 1
a71 1
   url="http://www.ibm.com/">IBM/ulink>) picked up the code and
@


1.25
log
@Adjust SGML ulink tags to the URL is always displayed in our printed docs.
@
text
@d2 1
a2 1
$PostgreSQL: pgsql/doc/src/sgml/history.sgml,v 1.24 2005/01/08 01:44:05 tgl Exp $
d69 3
a71 4
   <productname>Informix</productname>, <ulink
   url="http://www.informix.com/"></ulink>,
   which is now owned by IBM, <ulink
   url="http://www.ibm.com/"></ulink>.)  picked up the code and
d74 3
a76 2
   for the Sequoia 2000 scientific computing project, 
   <ulink url="http://meteora.ucsd.edu/s2k/s2k_home.html"></ulink>.
@


1.24
log
@Some small docs improvements motivated by reading the comments for the
7.4 interactive docs.
@
text
@d2 1
a2 1
$PostgreSQL: pgsql/doc/src/sgml/history.sgml,v 1.23 2003/11/29 19:51:37 pgsql Exp $
d68 5
a72 4
   Information Technologies (later merged into <ulink
   url="http://www.informix.com/"><productname>Informix</productname></ulink>,
   which is now owned by <ulink
   url="http://www.ibm.com/">IBM</ulink>.)  picked up the code and
d75 2
a76 3
   for the <ulink
   url="http://meteora.ucsd.edu/s2k/s2k_home.html">Sequoia
   2000</ulink> scientific computing project.
@


1.23
log
@
$Header: -> $PostgreSQL Changes ...
@
text
@d2 1
a2 1
$PostgreSQL: /cvsroot/pgsql-server/doc/src/sgml/history.sgml,v 1.22 2003/09/11 21:42:19 momjian Exp $
d131 1
a131 1
      In addition to the monitor program, a new program
d134 2
a135 1
      <application>Readline</application>.
@


1.22
log
@This patch fixes a few missed GUC variables that were still upper case,
makes a few more small improvements to runtime.sgml, and makes some SGML
conventions more consistent.

Neil Conway
@
text
@d2 1
a2 1
$Header: /cvsroot/pgsql-server/doc/src/sgml/history.sgml,v 1.21 2003/09/08 23:02:28 petere Exp $
@


1.21
log
@Update preface.

Use question marks rather than brackets to delimit optional elements in
Tcl synopses.

Fix stylesheet misfeature leading to excessively long cross-reference text
when linking to a different "part".

Remove <body> attributes -- CSS stylesheets should handle that.

Improve bibliography formatting.

Add fast-forward links for more convenient navigation.
@
text
@d2 1
a2 1
$Header: /cvsroot/pgsql-server/doc/src/sgml/history.sgml,v 1.20 2003/01/19 00:13:28 momjian Exp $
d209 2
a210 2
   Details about what has happened in PostgreSQL since then can be
   found in <xref linkend="release">.
@


1.20
log
@This patch includes a lot of minor cleanups to the SGML documentation,
including:

- replacing all the appropriate usages of <citetitle>PostgreSQL
...</citetitle> with &cite-user;, &cite-admin;, and so on

- fix an omission in the EXECUTE documentation

- add some more text to the EXPLAIN documentation

- improve the PL/PgSQL RETURN NEXT documentation (more work to do here)

- minor markup fixes


Neil Conway
@
text
@d2 1
a2 1
$Header: /cvsroot/pgsql-server/doc/src/sgml/history.sgml,v 1.19 2002/01/07 02:29:12 petere Exp $
d8 5
d14 6
a19 11
  The object-relational database management system now known as 
  <productname>PostgreSQL</productname> (and briefly called
  <productname>Postgres95</productname>) is derived from the
  <productname>POSTGRES</productname> package written at the University of
  California at Berkeley.  With over a decade of
  development behind it, <productname>PostgreSQL</productname> 
  is the most advanced open-source database available anywhere,
  offering multiversion concurrency control, supporting almost
  all SQL constructs (including subselects, transactions, and
  user-defined types and functions), and having a wide range of
  language bindings available (including C, C++, Java, Perl, Tcl, and Python).
d22 1
a22 1
 <sect2>
d25 17
a41 14
  <para>
   Implementation of the <productname>POSTGRES</productname> 
   <acronym>DBMS</acronym> began in 1986.  The
   initial  concepts  for  the  system  were  presented in
   <xref linkend="STON86">
   and the definition of the initial  data  model
   appeared in 
   <xref linkend="ROWE87">.
   The design of the rule system at
   that time was described in  
   <xref linkend="STON87a">.
   The  rationale
   and  architecture  of the storage manager were detailed in 
   <xref linkend="STON87b">.
d45 13
a57 18
   <productname>Postgres</productname> has undergone  several  major  releases  since
   then.   The  first <quote>demoware</quote> system became operational
   in 1987 and was shown at the  1988  <acronym>ACM-SIGMOD</acronym>  
   Conference.   Version 1, described in 
   <xref linkend="STON90a">, was released
   to a few external users in June 1989.  In response to a
   critique  of  the  first rule system 
   (<xref linkend="STON89">), 
   the rule
   system was  redesigned 
   (<xref linkend="STON90b">)
   and  Version  2  was
   released  in  June 1990 with the new rule system.  
   Version 3 appeared in 1991 and added support for  multiple
   storage  managers,  an  improved  query executor, and a
   rewritten rule  system.   For  the  most  part, subsequent
   releases  until <productname>Postgres95</productname> (see below)
   focused on portability and reliability.
d61 16
a76 19
   <productname>POSTGRES</productname> has been  used
   to  implement  many  different
   research and production applications.  These include: a
   financial data analysis system, a  jet  engine  
   performance   monitoring   package,   an   asteroid  tracking
   database, a medical information database,  and  several
   geographic information systems.  
   <productname>POSTGRES</productname> has also been
   used as an educational tool  at  several  universities.
   Finally,  
   Illustra  Information  Technologies (later merged into
   <ulink url="http://www.informix.com/"><productname>Informix</productname></ulink>,
   which is now owned by <ulink url="http://www.ibm.com/">IBM</ulink>.)
   picked up
   the code and commercialized it.
   <productname>POSTGRES</productname>  became  the  primary  data manager
   for  the
   <ulink url="http://meteora.ucsd.edu/s2k/s2k_home.html">Sequoia 2000</ulink>
   scientific computing project in late 1992.
d80 7
a86 8
   The size of the  external  user  community
   nearly  doubled  during  1993.   It became increasingly
   obvious that maintenance of the prototype code and 
   support  was  taking  up large amounts of time that should
   have been devoted to database research.  In  an  effort
   to  reduce  this support burden, the Berkeley
   <productname>POSTGRES</productname> project officially
   ended with Version 4.2.
d90 1
a90 1
 <sect2>
d93 4
d98 2
a99 2
   In 1994, Andrew Yu and Jolly Chen
   added a SQL language interpreter to <productname>POSTGRES</productname>.
d101 2
a102 2
   the Web to find its own way in the world as an
   open-source descendant of the original <productname>POSTGRES</productname>
d107 7
a113 7
   <productname>Postgres95</productname> code was completely
   ANSI C and trimmed in size by 25%. Many
   internal changes improved performance and maintainability. 
   <productname>Postgres95</productname> release 1.0.x ran about  30-50%
   faster  on  the  Wisconsin  Benchmark compared to 
   <productname>POSTGRES</productname>, Version 4.2.
   Apart from bug fixes, the following were the major enhancements:
d119 7
a125 9
      <acronym>SQL</acronym> (implemented in the server).
      Subqueries were not supported until
      <productname>PostgreSQL</productname> (see below), but they
      could be imitated in <productname>Postgres95</productname> with user-defined
      <acronym>SQL</acronym> functions. Aggregates were
      re-implemented.  Support for the GROUP BY query clause was also added.
      The <filename>libpq</filename> interface remained
      available  for  <acronym>C</acronym>  
      programs.
d132 3
a134 2
      (<application>psql</application>) was provided for interactive SQL queries
      using <acronym>GNU</acronym> <application>Readline</application>.
d140 5
a144 5
      A new  front-end  library,  <filename>libpgtcl</filename>,
      supported  <acronym>Tcl</acronym>-based  clients.   A sample shell, 
      <command>pgtclsh</command>, provided new Tcl  commands  to  interface
      <application>Tcl</application>
      programs with the <productname>Postgres95</productname> backend.
d150 3
a152 3
      The  large-object interface was overhauled. The Inversion large objects were
      the  only  mechanism for  storing  large objects.
      (The Inversion file system was removed.)
d158 2
a159 2
      The  instance-level  rule  system  was removed.
      Rules were still available as rewrite rules.
d165 4
a168 3
      A short tutorial introducing regular <acronym>SQL</acronym> features as
      well as those of <productname>Postgres95</productname> was
      distributed with the source code
d174 5
a178 4
      <acronym>GNU</acronym> make (instead of  <acronym>BSD</acronym>  make)  was  used
      for  the build.  Also,  <productname>Postgres95</productname>  could  be
      compiled with an unpatched <productname>GCC</productname>
      (data alignment of  doubles  was fixed).
d189 2
a190 2
   By 1996, it became clear that the name <quote>Postgres95</quote> would
   not stand the test of time. We chose a new name,
d192 5
a196 5
   between the original <productname>POSTGRES</productname> and the more
   recent versions with <acronym>SQL</acronym> capability.  At the same
   time, we set the version numbering to start at 6.0, putting the
   numbers back into the sequence originally begun by the Berkeley
   <productname>POSTGRES</productname> project.
d200 6
a205 5
   The emphasis during development of <productname>Postgres95</productname>
   was on identifying and understanding existing problems in the backend code.
   With <productname>PostgreSQL</productname>, 
   the emphasis has shifted to augmenting features and capabilities, although
   work continues in all areas.
d209 2
a210 1
   Major enhancements in <productname>PostgreSQL</productname> include:
a211 40

  <itemizedlist>
   <listitem>
    <para>
     Table-level locking has been replaced by multiversion concurrency control,
     which allows readers to continue reading consistent data during writer activity
     and enables hot backups from <application>pg_dump</> while the database stays available for
     queries.
    </para>
   </listitem>

   <listitem>
    <para>
     Important backend features, including subselects, defaults, 
     constraints, and triggers, have been implemented.
    </para>
   </listitem>

   <listitem>
    <para>
     Additional <acronym>SQL92</acronym>-compliant language features have been added,
     including primary keys, quoted identifiers, literal string type coercion,
     type casting, and binary and hexadecimal integer input.
    </para>
   </listitem>

   <listitem>
    <para>
     Built-in types have been improved, including new wide-range date/time types 
     and additional geometric type support.
    </para>
   </listitem>

   <listitem>
    <para>
     Overall backend code speed has been increased by approximately 20-40%, 
     and backend start-up time has decreased by 80% since version 6.0 was released.
    </para>
   </listitem>
  </itemizedlist>
a213 17

<!-- Keep this comment at the end of the file
Local variables:
mode:sgml
sgml-omittag:nil
sgml-shorttag:t
sgml-minimize-attributes:nil
sgml-always-quote-attributes:t
sgml-indent-step:1
sgml-indent-data:t
sgml-parent-document:nil
sgml-default-dtd-file:"./reference.ced"
sgml-exposed-tags:nil
sgml-local-catalogs:("/usr/lib/sgml/catalog")
sgml-local-ecat-files:nil
End:
-->
@


1.19
log
@Editorial review
@
text
@d2 1
a2 1
$Header: /cvsroot/pgsql/doc/src/sgml/history.sgml,v 1.18 2001/11/28 20:49:10 petere Exp $
d6 1
a6 1
 <title>A Short History of <productname>PostgreSQL</productname></title>
d57 1
a57 1
   rewritten rewrite rule  system.   For  the  most  part, subsequent
@


1.18
log
@proof-reading
@
text
@d2 1
a2 1
$Header: /cvsroot/pgsql/doc/src/sgml/history.sgml,v 1.17 2001/11/23 22:06:20 tgl Exp $
d12 1
a12 1
  <productname>Postgres</productname> package written at the University of
d23 1
a23 1
  <title>The Berkeley <productname>Postgres</productname> Project</title>
d26 1
a26 1
   Implementation of the <productname>Postgres</productname> 
d63 1
a63 1
   <productname>Postgres</productname> has been  used
d70 1
a70 1
   <productname>Postgres</productname> has also been
d73 3
a75 3
   <ulink url="http://www.illustra.com/">Illustra  Information  Technologies</ulink>
   (since merged into
   <ulink url="http://www.informix.com/"><productname>Informix</productname></ulink>)
d78 1
a78 1
   <productname>Postgres</productname>  became  the  primary  data  manager
d80 1
a80 1
   <ulink url="http://www.sdsc.edu/0/Parts_Collabs/S2K/s2k_home.html">Sequoia 2000</ulink>
d91 1
a91 1
   <productname>Postgres</productname> project officially
d101 1
a101 1
   added a SQL language interpreter to <productname>Postgres</productname>.
d104 1
a104 1
   open-source descendant of the original <productname>Postgres</productname>
d112 1
a112 1
   <productname>Postgres95</productname> v1.0.x ran about  30-50%
d114 2
a115 2
   <productname>Postgres</productname> v4.2.
   Apart from bug fixes, these were the major enhancements:
d120 1
a120 1
      The query language <productname>Postquel</productname> was replaced with
d153 1
a153 1
      The  large  object interface was overhauled. The Inversion large objects were
d178 1
a178 1
      compiled with an unpatched <productname>gcc</productname>
d193 1
a193 1
   between the original <productname>Postgres</productname> and the more
d196 2
a197 2
   numbers back into the sequence originally begun by the
   <productname>Postgres</productname> Project.
d215 1
a215 1
     Table-level locking has been replaced with multiversion concurrency control,
d217 1
a217 1
     and enables hot backups from pg_dump while the database stays available for
d247 1
a247 1
     and backend start-up time has decreased 80% since version 6.0 was released.
@


1.17
log
@Copy-editing.
@
text
@d2 1
a2 1
$Header: /cvsroot/pgsql/doc/src/sgml/history.sgml,v 1.16 2001/11/08 23:34:33 petere Exp $
d6 1
a6 1
 <title>A Short History of <productname>Postgres</productname></title>
d137 1
a137 1
      using <acronym>GNU</acronym> <filename>readline</filename>.
d146 1
a146 1
      <application>tcl</application>
d170 1
a170 1
      distributed with the source code.
@


1.16
log
@Cleanup of bibliography
@
text
@d2 1
a2 1
$Header: /home/projects/pgsql/cvsroot/pgsql/doc/src/sgml/history.sgml,v 1.15 2001/09/13 15:55:22 petere Exp $
d45 2
a46 2
   Conference.   We  released Version 1, described in 
   <xref linkend="STON90a">,
d57 1
a57 1
   rewritten rewrite rule  system.   For  the  most  part,
d90 2
a91 1
   to  reduce  this support burden, the project officially
@


1.15
log
@Replace ASCII-quotes with proper markup.
@
text
@d2 1
a2 1
$Header: /home/projects/pgsql/cvsroot/pgsql/doc/src/sgml/history.sgml,v 1.14 2001/09/09 17:21:59 petere Exp $
d29 1
a29 1
   <xref endterm="STON86-full" linkend="STON86">
d32 1
a32 1
   <xref endterm="ROWE87-full" linkend="ROWE87">.
d35 1
a35 1
   <xref endterm="STON87a-full" linkend="STON87a">.
d38 1
a38 1
   <xref endterm="STON87b-full" linkend="STON87b">.
d46 1
a46 1
   <xref endterm="STON90a-full" linkend="STON90a">,
d49 1
a49 1
   (<xref endterm="STON89-full" linkend="STON89">), 
d52 1
a52 1
   (<xref endterm="STON90b-full" linkend="STON90b">)
@


1.14
log
@Markup additions and spell check. (covers User's Guide)
@
text
@d2 1
a2 1
$Header: /home/projects/pgsql/cvsroot/pgsql/doc/src/sgml/history.sgml,v 1.13 2001/02/03 19:03:26 petere Exp $
d43 1
a43 1
   then.   The  first "demoware" system became operational
d189 1
a189 1
   By 1996, it became clear that the name "Postgres95" would
@


1.13
log
@Update, polish, consistencify preface/intro sections.
@
text
@d2 1
a2 1
$Header: /home/projects/pgsql/cvsroot/pgsql/doc/src/sgml/history.sgml,v 1.12 2000/12/22 21:51:57 petere Exp $
d16 1
a16 1
  offering multi-version concurrency control, supporting almost
d75 1
a75 1
   <ulink url="http://www.informix.com/">Informix</ulink>)
d144 1
a144 1
      pgtclsh, provided new Tcl  commands  to  interface
d214 1
a214 1
     Table-level locking has been replaced with multi-version concurrency control,
@


1.12
log
@Make use of <email> tag for marking up email addresses.
@
text
@d2 1
a2 1
$Header: /home/projects/pgsql/cvsroot/pgsql/doc/src/sgml/history.sgml,v 1.11 2000/12/21 22:55:27 petere Exp $
d9 1
a9 1
  The Object-Relational Database Management System now known as 
d12 2
a13 2
  <productname>Postgres</productname> package written at Berkeley.
  With over a decade of
d19 1
a19 1
  language bindings available (including C, C++, Java, perl, tcl, and python).
@


1.11
log
@Get rid of the little "v"s in front of version numbers, substituting the
full word "version" where appropriate.
@
text
@d2 1
a2 1
$Header: /home/projects/pgsql/cvsroot/pgsql/doc/src/sgml/history.sgml,v 1.10 2000/09/29 20:21:34 petere Exp $
d99 1
a99 4
   In 1994,
   <ulink url="mailto:ayu@@informix.com">Andrew Yu</ulink>
   and
   <ulink url="http://http.cs.berkeley.edu/~jolly/">Jolly Chen</ulink>
@


1.10
log
@Add `id' attributes to all `chapter' and `sect1' tags, to generate useful
names for the HTML files (e.g., not x4856.htm).
@
text
@d2 1
a2 1
$Header: /home/projects/pgsql/cvsroot/pgsql/doc/src/sgml/history.sgml,v 1.9 2000/08/29 20:02:07 momjian Exp $
d249 1
a249 1
     and backend start-up time has decreased 80% since v6.0 was released.
@


1.9
log
@Startup is actually start-up.
@
text
@d2 1
a2 1
$Header: /home/projects/pgsql/cvsroot/pgsql/doc/src/sgml/history.sgml,v 1.8 2000/05/02 20:01:51 thomas Exp $
d5 1
a5 1
<sect1>
@


1.8
log
@Fixups in content and markup for 7.0 release.
@
text
@d2 1
a2 1
$Header: /usr/local/cvsroot/pgsql/doc/src/sgml/history.sgml,v 1.7 2000/03/31 03:27:40 thomas Exp $
d249 1
a249 1
     and backend startup time has decreased 80% since v6.0 was released.
@


1.7
log
@Minor markup changes. Refer to (".../catalog") in the emacs hints.
@
text
@d2 1
a2 1
$Header$
d192 1
a192 1
   By 1996, it became clear that the name <quote>Postgres95</quote> would
@


1.6
log
@Sorry, I have read the misspelling 'coersion' one time too many.
@
text
@d1 4
d258 1
a258 1
mode: sgml
d268 1
a268 1
sgml-local-catalogs:"/usr/lib/sgml/catalog"
@


1.5
log
@Remove references to PostgreSQL as "public-domain" since that has a
 specific meaning wrt copyright (or lack thereof).
@
text
@d230 1
a230 1
     including primary keys, quoted identifiers, literal string type coersion, 
@


1.4
log
@Minor changes to Fred Horsh's updates.
@
text
@d101 2
a102 2
   the Web to find its own way in the world as a public-domain,
   open source descendant of the original <productname>Postgres</productname>
@


1.3
log
@Some suggestions to clarify the current status of PostgreSQL.  Patch
attached.

Fred Horch
@
text
@d1 2
a2 2
<Sect1>
<Title>A Short History of <ProductName>Postgres</ProductName></Title>
d4 247
a250 228
<Para>
The Object-Relational Database Management System now known as 
<ProductName>PostgreSQL</ProductName> was originally called
<ProductName>Postgres</ProductName>, and briefly called
<ProductName>Postgres95</ProductName>.  With over a decade of
development behind it, <ProductName>PostgreSQL</ProductName> 
is the most advanced open-source database available anywhere,
offering multi-version concurrency control and supporting almost
all SQL constructs, including subselects, transactions, and
user-defined types and functions.
</Para>

<Sect2>
<Title>The Berkeley <ProductName>Postgres</ProductName> Project</Title>

<Para>
     Implementation of the <ProductName>Postgres</ProductName> 
<Acronym>DBMS</Acronym> began in 1986.  The
     initial  concepts  for  the  system  were  presented in
<XRef LinkEnd="STON86" endterm="STON86-full">
 and the definition of the initial  data  model
     appeared in 
<XRef LinkEnd="ROWE87" endterm="ROWE87-full">.
The design of the rule system at
     that time was described in  
<XRef LinkEnd="STON87a" endterm="STON87a-full">.
The  rationale
     and  architecture  of the storage manager were detailed in 
<XRef LinkEnd="STON87b" endterm="STON87b-full">.
</Para>

<Para>
<ProductName>Postgres</ProductName> has undergone  several  major  releases  since
     then.   The  first "demoware" system became operational
     in 1987 and was shown at the  1988  <Acronym>ACM-SIGMOD</Acronym>  
     Conference.   We  released Version 1, described in 
<XRef LinkEnd="STON90a" endterm="STON90a-full">,
     to a few external users in June 1989.  In response to a
     critique  of  the  first rule system 
(<XRef LinkEnd="STON89" endterm="STON89-full">), 
the rule
     system was  redesigned 
(<XRef LinkEnd="STON90b" endterm="STON90b-full">)
and  Version  2  was
     released  in  June 1990 with the new rule system.  
     Version 3 appeared in 1991 and added support for  multiple
     storage  managers,  an  improved  query executor, and a
     rewritten rewrite rule  system.   For  the  most  part,
     releases  until <ProductName>Postgres95</ProductName> (see below)
     focused on portability and reliability.
</Para>

<Para>
<ProductName>Postgres</ProductName> has been  used  to  implement  many  different
     research and production applications.  These include: a
     financial data analysis system, a  jet  engine  
     performance   monitoring   package,   an   asteroid  tracking
     database, a medical information database,  and  several
     geographic information systems.  
<ProductName>Postgres</ProductName> has also been
     used as an educational tool  at  several  universities.
     Finally,  
<Ulink url="http://www.illustra.com/">Illustra  Information  Technologies</Ulink>
(since merged into
<Ulink url="http://www.informix.com/">Informix</Ulink>)

 picked up
     the code and commercialized it.
     <ProductName>Postgres</ProductName>  became  the  primary  data  manager
  for  the
<Ulink url="http://www.sdsc.edu/0/Parts_Collabs/S2K/s2k_home.html">Sequoia 2000</Ulink>
 scientific computing project in late 1992.
     Furthermore, the size of the  external  user  community
     nearly  doubled  during  1993.   It became increasingly
     obvious that maintenance of the prototype code and 
     support  was  taking  up large amounts of time that should
     have been devoted to database research.  In  an  effort
     to  reduce  this support burden, the project officially
     ended with Version 4.2.
</Para>
</Sect2>

<Sect2>
<Title><ProductName>Postgres95</ProductName></Title>

<Para>
In 1994,
<ULink url="mailto:ayu@@informix.com">Andrew Yu</ULink>
and
<ULink url="http://http.cs.berkeley.edu/~jolly/">Jolly Chen</ULink>
added a SQL language interpreter to <ProductName>Postgres</ProductName>.
<ProductName>Postgres95</ProductName> was subsequently released to
the Web to find its own way in the world as a public-domain,
open source descendant of the original <ProductName>Postgres</ProductName>
Berkeley code.
</Para>

<Para>
     <ProductName>Postgres95</ProductName> code was completely
     ANSI C and trimmed in size by 25%. Many
     internal changes improved performance and maintainability. 
<ProductName>Postgres95</ProductName> v1.0.x ran about  30-50%
     faster  on  the  Wisconsin  Benchmark compared to 
<ProductName>Postgres</ProductName> v4.2.
     Apart from bug fixes, these were the major enhancements:

<ItemizedList>
<ListItem>
<Para>
      	The query language <ProductName>Postquel</ProductName> was replaced with
        	<Acronym>SQL</Acronym> (implemented in the server). Subqueries were not supported until <ProductName>PostgreSQL</ProductName> (see below), but they
could be imitated in <ProductName>Postgres95</ProductName> with user-defined
        	<Acronym>SQL</Acronym> functions. Aggregates were
        	re-implemented.  Support for ``GROUP BY'' was also added.
        	The <FileName>libpq</FileName> interface remained available  for  <Acronym>C</Acronym>  
        	programs.
</Para>
</ListItem>
<ListItem>
<Para>
In addition to the monitor program, a new program
(<Application>psql</Application>) was provided for interactive SQL queries
using <Acronym>GNU</Acronym> <FileName>readline</FileName>.
</Para>
</ListItem>
<ListItem>
<Para>
      	A new  front-end  library,  <FileName>libpgtcl</FileName>,
        	supported  <Acronym>Tcl</Acronym>-based  clients.   A sample shell, 
        	pgtclsh, provided new Tcl  commands  to  interface  <Application>tcl</Application>
        	programs with the <ProductName>Postgres95</ProductName> backend.
</Para>
</ListItem>
<ListItem>
<Para>
The  large  object interface was overhauled. The Inversion large objects were
the  only  mechanism for  storing  large objects.
(The Inversion file system was removed.)
</Para>
</ListItem>
<ListItem>
<Para>
      	The  instance-level  rule  system  was removed.
        	Rules were still available as rewrite rules.
</Para>
</ListItem>
<ListItem>
<Para>
      	A short tutorial introducing regular <Acronym>SQL</Acronym> features as
        	well as those of <ProductName>Postgres95</ProductName> was
 distributed with the source code.
</Para>
</ListItem>
<ListItem>
<Para>
<Acronym>GNU</Acronym> make (instead of  <Acronym>BSD</Acronym>  make)  was  used
for  the build.  Also,  <ProductName>Postgres95</ProductName>  could  be
compiled with an unpatched <ProductName>gcc</ProductName>
(data alignment of  doubles  was fixed).
</Para>
</ListItem>
</ItemizedList>
</Para>
</Sect2>

<Sect2>
<Title><ProductName>PostgreSQL</ProductName></Title>

<Para>
By 1996, it became clear that the name <Quote>Postgres95</Quote> would
not stand the test of time. We chose a new name,
<ProductName>PostgreSQL</ProductName>, to reflect the relationship
between the original <ProductName>Postgres</ProductName> and the more
recent versions with <Acronym>SQL</Acronym> capability.  At the same
time, we set the version numbering to start at 6.0, putting the
numbers back into the sequence originally begun by the
<ProductName>Postgres</ProductName> Project.
</Para>

<Para>
The emphasis during development of <ProductName>Postgres95</ProductName>
was on identifying and understanding existing problems in the backend code.
With <ProductName>PostgreSQL</ProductName>, 
the emphasis has shifted to augmenting features and capabilities, although
work continues in all areas.
</Para>

<Para>
Major enhancements in <ProductName>PostgreSQL</ProductName> include:
</Para>

<ItemizedList>
<ListItem>
<Para>
Table-level locking has been replaced with multi-version concurrency control,
which allows readers to continue reading consistent data during writer activity
and enables hot backups from pg_dump while the database stays available for
queries.
</Para>
</ListItem>
<ListItem>
<Para>
Important backend features, including subselects, defaults, 
constraints, and triggers, have been implemented.
</Para>
</ListItem>
<ListItem>
<Para>
Additional <Acronym>SQL92</Acronym>-compliant language features have been added,
 including primary keys, quoted identifiers, literal string type coersion, 
type casting, and binary and hexadecimal integer input.
</Para>
</ListItem>
<ListItem>
<Para>
Built-in types have been improved, including new wide-range date/time types 
and additional geometric type support.
</Para>

</ListItem>
<ListItem>
<Para>
Overall backend code speed has been increased by approximately 20-40%, 
and backend startup time has decreased 80% since v6.0 was released.
</Para>
</ListItem>
</ItemizedList>
</Sect2>
d252 16
a267 1
</sect1>
@


1.2
log
@Clean up to ensure tag completion as required by the newest versions
 of Norm's Modular Style Sheets and jade/docbook.
From Vince Vielhaber <vev@@michvhf.com>.
@
text
@d4 12
d52 2
a53 2
     releases  since  then  have  focused on portability and
     reliability.
d85 1
a85 1
     
d94 5
a98 5
added a SQL language interpreter to <ProductName>Postgres</ProductName>, 
and the code was subsequently released to
the Web to find its own way in the world. 
<ProductName>Postgres95</ProductName> was a public-domain, open source descendant
of this original Berkeley code.
d102 7
a108 8
<ProductName>Postgres95</ProductName> is a derivative of the last official release
of  <ProductName>Postgres</ProductName>  (version 4.2). The code is now completely
     ANSI C and the code size has been trimmed by 25%. There
     are  a lot of internal changes that improve performance
and code maintainability. 
<ProductName>Postgres95</ProductName> v1.0.x runs about  30-50%
     faster  on  the  Wisconsin  Benchmark compared to v4.2.
     Apart from bug fixes, these are the major enhancements:
d113 6
a118 6
      	The query language <ProductName>Postquel</ProductName> has been replaced with
        	<Acronym>SQL</Acronym> (implemented in the server). We do  not yet support
        	subqueries  (which can be imitated with user defined
        	<Acronym>SQL</Acronym> functions). Aggregates  have  been
        	re-implemented.  We also added support for ``GROUP BY''.
        	The <FileName>libpq</FileName> interface is still available  for  <Acronym>C</Acronym>  
d124 3
a126 2
      	In addition to the monitor program, we provide a new
        	program (<Application>psql</Application>) which supports <Acronym>GNU</Acronym> <FileName>readline</FileName>.
d131 3
a133 3
      	We added a new  front-end  library,  <FileName>libpgtcl</FileName>,  that
        	supports  <Acronym>Tcl</Acronym>-based  clients.   A sample shell, 
        	pgtclsh, provides new Tcl  commands  to  interface  <Application>tcl</Application>
d139 3
a141 5
      	The  large  object interface has been overhauled. We
        	kept Inversion large objects as the  only  mechanism
        	for  storing  large objects. (This is not to be 
        	confused with the Inversion file system which has  been
        	removed.)
d146 2
a147 2
      	The  instance-level  rule  system  has been removed.
        	Rules are still available as rewrite rules.
d153 2
a154 2
        	well as those of ours is distributed with the source
        	code.
d159 4
a162 4
      	<Acronym>GNU</Acronym> make (instead of  <Acronym>BSD</Acronym>  make)  is  used  for  the
        	build.  Also,  <ProductName>Postgres95</ProductName>  can  be  compiled with an
        	unpatched <ProductName>gcc</ProductName> (data alignment of  doubles  has  been
        	fixed).
d173 8
a180 10
By 1996, it became clear that the name <Quote>Postgres95</Quote> would not stand
the test of time. A new name, <ProductName>PostgreSQL</ProductName>, 
was chosen to reflect the
relationship between original <ProductName>Postgres</ProductName> 
and the more recent
versions with <Acronym>SQL</Acronym> capability. 
At the same time, the version numbering
was reset to start at 6.0, 
putting the numbers back into the sequence originally begun by
the <ProductName>Postgres</ProductName> Project.
d184 4
a187 7
The emphasis on development for the v1.0.x releases of 
<ProductName>Postgres95</ProductName>
was on stabilizing the backend code.
With the v6.x series of <ProductName>PostgreSQL</ProductName>, 
the emphasis has shifted from
identifying and understanding existing problems in the backend 
to augmenting features and capabilities, although
d192 1
a192 1
Major enhancements include:
d196 8
@


1.1
log
@Clean up pages. Add information for operator precedence.
Split introduction sections into separate files to allow the legal notice
 and notation sections appear in all documents without having the history
 show up everplace too.
Add full list of reserved and non-reserved key words in syntax.sgml.
Add a separate chapter to the admin guide on security.
@
text
@d173 1
d184 1
d188 1
d209 1
a217 1
</Para>
d220 1
a220 1
</sect1>@
